<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
   version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/">
    <xsl:text>Hi all,

</xsl:text>
    <xsl:value-of select="project/name"/>
    <xsl:text> version </xsl:text>
    <xsl:value-of select="project/version[position()=1]/major"/><xsl:text>.</xsl:text><xsl:value-of select="project/version[position()=1]/release"/>
    <xsl:text> is available.

http://www.kclee.com/clemens/</xsl:text>
    <xsl:value-of select="project/home"/>
    <xsl:text>
http://www.kclee.com/clemens/</xsl:text>
    <xsl:value-of select="project/home"/>
    <xsl:value-of select="String:toLowerCase(String:new(project/name))" xmlns:String="xalan://java.lang.String"/>
    <xsl:value-of select="project/version[position()=1]/major"/><xsl:text>.</xsl:text><xsl:value-of select="project/version[position()=1]/release"/>
    <xsl:text>.zip

Cya,
   Clemens

P.S. Thanks for your interest. To get off this list, just send
me a note.

---
Version </xsl:text>
    <xsl:value-of select="project/version[position()=1]/major"/><xsl:text>.</xsl:text><xsl:value-of select="project/version[position()=1]/release"/>
    <xsl:text> has been released on </xsl:text>
    <xsl:value-of select="Util:getMonth(project/version[position()=1]/date)" xmlns:Util="xalan://ccl.util.Util"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="Util:itoa(Util:atoi(substring(project/version[position()=1]/date, 9)))" xmlns:Util="xalan://ccl.util.Util"/>
    <xsl:text>, </xsl:text>
    <xsl:value-of select="substring(project/version[position()=1]/date, 1, 4)"/>
    <xsl:text>

</xsl:text>
    <xsl:value-of select="Util:formatLeft(project/version[position()=1]/changes,64)" xmlns:Util="xalan://ccl.util.Util"/>

    <xsl:apply-templates select="project/version[position()=1]/new"/>
    <xsl:apply-templates select="project/version[position()=1]/bugs"/>

  </xsl:template>

  <xsl:template match="new">
    <xsl:text>
What's New

</xsl:text>
    <xsl:apply-templates select="feature"/>
  </xsl:template>

  <xsl:template match="bugs">
    <xsl:text>
Bugs Fixed

</xsl:text>
    <xsl:apply-templates select="bug"/>
  </xsl:template>

  <xsl:template match="feature|bug">
    <xsl:text> - </xsl:text>
    <xsl:value-of select="substring(Util:formatLeft(.,64,3),4)" xmlns:Util="xalan://ccl.util.Util"/>
  </xsl:template>

</xsl:stylesheet>
